# Interface DeepClientOptions<L>

interface DeepClientOptions<L> {
apolloClient?: IApolloClient<any>;
deep?: DeepClientInstance<L>;
defaultDeleteName?: string;
defaultInsertName?: string;
defaultSelectName?: string;
defaultUpdateName?: string;
deleteReturning?: string;
filesSelectReturning?: string;
handleAuth?: ((linkId?, token?) => any);
insertReturning?: string;
linkId?: number;
linksSelectReturning?: string;
minilinks?: MinilinkCollection<any, Link<number>>;
returning?: string;
selectReturning?: string;
selectorsSelectReturning?: string;
silent?: boolean;
table?: string;
token?: string;
unsafe?: any;
updateReturning?: string;
valuesSelectReturning?: string;
}

#### Type Parameters

- #### L extends Link<number> = Link<number>

- Defined in work/deeplinks/deeplinks/imports/client.tsx:285

#####
Index

### Properties

apolloClient?
deep?
defaultDeleteName?
defaultInsertName?
defaultSelectName?
defaultUpdateName?
deleteReturning?
filesSelectReturning?
handleAuth?
insertReturning?
linkId?
linksSelectReturning?
minilinks?
returning?
selectReturning?
selectorsSelectReturning?
silent?
table?
token?
unsafe?
updateReturning?
valuesSelectReturning?

## Properties

### `Optional` apolloClient

apolloClient?: IApolloClient<any>

- Defined in work/deeplinks/deeplinks/imports/client.tsx:292

### `Optional` deep

deep?: DeepClientInstance<L>

- Defined in work/deeplinks/deeplinks/imports/client.tsx:290

### `Optional` defaultDeleteName

defaultDeleteName?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:309

### `Optional` defaultInsertName

defaultInsertName?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:307

### `Optional` defaultSelectName

defaultSelectName?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:306

### `Optional` defaultUpdateName

defaultUpdateName?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:308

### `Optional` deleteReturning

deleteReturning?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:304

### `Optional` filesSelectReturning

filesSelectReturning?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:301

### `Optional` handleAuth

handleAuth?: ((linkId?, token?) => any)

#### Type declaration

- - (linkId?, token?): any

  - #### Parameters

    - ##### `Optional` linkId: number

    - ##### `Optional` token: string

    #### Returns any

- Defined in work/deeplinks/deeplinks/imports/client.tsx:288

### `Optional` insertReturning

insertReturning?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:302

### `Optional` linkId

linkId?: number

- Defined in work/deeplinks/deeplinks/imports/client.tsx:286

### `Optional` linksSelectReturning

linksSelectReturning?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:298

### `Optional` minilinks

minilinks?: MinilinkCollection<any, Link<number>>

- Defined in work/deeplinks/deeplinks/imports/client.tsx:293

### `Optional` returning

returning?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:295

### `Optional` selectReturning

selectReturning?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:297

### `Optional` selectorsSelectReturning

selectorsSelectReturning?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:300

### `Optional` silent

silent?: boolean

- Defined in work/deeplinks/deeplinks/imports/client.tsx:311

### `Optional` table

table?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:294

### `Optional` token

token?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:287

### `Optional` unsafe

unsafe?: any

- Defined in work/deeplinks/deeplinks/imports/client.tsx:313

### `Optional` updateReturning

updateReturning?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:303

### `Optional` valuesSelectReturning

valuesSelectReturning?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:299

Generated using TypeDoc